<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Catalog</title>
    <link href="style.css" rel="stylesheet">
</head>
<body>
    <main>
        <div id="filtres">
            <div id="x" class="btn">
                X
            </div>
        </div>
        <div id="produits" class="flex">
        </div>

    </main>
    <script src="model.js"></script>
    <script>
        const divProduit = document.getElementById('produits')
        let tshirtFiltres = tshirts

        function affichage(tableauTshirts) {
            divProduit.innerHTML = ""
            for (const tshirt of tableauTshirts) {
                divProduit.innerHTML += `
                <div class="produit flex">
                    <h2 class="nom">${tshirt.nom}</h2>
                    <img src="${tshirt.image}" alt="Tshirt ${tshirt.couleur}">
                    <div class="attribut taille">${tshirt.taille}</div>
                    <div class="attribut couleur">${tshirt.couleur}</div>
                </div>
                `
            }
        }

        function creerFiltre(tabDeTshirt, key){
            let set = new Set()
            for (let t of tabDeTshirt){
                set.add(t[key])
            }
            let divFiltre = document.createElement('div')
            divFiltre.classList.add('flex')
            for (const v of set) {
                let btn = document.createElement("div")
                btn.classList.add("btn")
                btn.innerText = v
                btn.addEventListener('click', function (e){
                    tshirtFiltres = tshirtFiltres.filter(t => t[key] === v)
                    affichage(tshirtFiltres)
                })
                divFiltre.appendChild(btn)
            }
            document.getElementById('filtres').appendChild(divFiltre)
        }

        document.getElementById('x').addEventListener('click', function (e){
            tshirtFiltres = tshirts
            affichage(tshirtFiltres)
        })

        //init
        affichage(tshirtFiltres)
        for (const key in tshirts[0]) {
            if(key !== "image") creerFiltre(tshirts, key)
        }
    </script>
</body>
</html>